Page MenuHomePhabricator

Special:PageTranslationDeletePage shows incorrect count when deleting translation page
Closed, ResolvedPublic

Description

The following was listed at [[:commons:Special:PageTranslationDeletePage/Template:TemplateBox/i18n/zh]]:

Liste der zu löschenden Seiten
Übersetzte Seiten

Template:TemplateBox/i18n/zh

Seiten der Übersetzungseinheiten

Weitere Unterseiten

Insgesamt gibt es 2 zu löschende Seiten.

The last line would be "There are 2 pages to delete in total." The issue is that only one page is listed!? FuzzyBot also deleted just one page, as far as I can see.


Version: unspecified
Severity: minor

Details

Reference
bz49895

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz49895.
bzimport added a subscriber: Unknown Object (MLST).
Rillke created this task.Jun 20 2013, 5:57 PM

I would guess this only happens when deleting translation pages and it incorrectly counts the base page too.

I just tested this and my initial guess is right.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2016, 8:03 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 28 2016, 10:14 AM

Change 291493 had a related patch set uploaded (by Glaisher):
Fix count of total pages to be deleted for translation pages

https://gerrit.wikimedia.org/r/291493

Change 291493 merged by jenkins-bot:
Fix count of total pages to be deleted for translation pages

https://gerrit.wikimedia.org/r/291493

Glaisher closed this task as Resolved.May 28 2016, 5:44 PM